 pgadmin/ctl/ctlSQLGrid.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/pgadmin/ctl/ctlSQLGrid.cpp b/pgadmin/ctl/ctlSQLGrid.cpp
index 1993ea6..a717639 100644
--- a/pgadmin/ctl/ctlSQLGrid.cpp
+++ b/pgadmin/ctl/ctlSQLGrid.cpp
@@ -420,8 +420,9 @@ void ctlSQLGrid::OnLabelClick(wxGridEvent &event)
 
 void ctlSQLGrid::AutoSizeColumn(int col, bool setAsMin, bool doLimit)
 {
-	if (col < (int)colMaxSizes.GetCount() && colMaxSizes[col] >= 0)
-		SetColSize(col, colMaxSizes[col]);
+	ColKeySizeHashMap::iterator it = colSizes.find(GetColKeyValue(col));
+	if (it != colSizes.end()) // Restore user-specified size
+		SetColSize(col, it->second);
 	else
 		wxGrid::AutoSizeColumn(col, setAsMin);
 
